Bug 55476 - Kernel 2.4.9-7 crashes Dell PE2500 with aacraid on startup
Kernel 2.4.9-7 crashes Dell PE2500 with aacraid on startup
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 17:55 EST by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 12:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-31 17:55:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en] (Win95; U)

Description of problem:
Both smp and up versions of newly distributed 2.4.9-7 crash on startup...
  AAC:  NMI_DMA_0_ERROR
   aacraid:0 ABORT/ interrupt_status = 0   ( <--- ten times)
Then repeated
   percraid:0 RESET
   aacraid:0 ABORT
   itnerrrupt_status = 0
Finally,
   Code: 0f 0b 59 5b 89 7c 24 04 b8 03 00 00 00
   <0> Kernel panic:  Aiee, killing interrupt handler.
    In interrupt handler - not syncing

Reboot from linux.bak or linux-smp.bak works fine  (kernel 2.4.7-10 smp or up of 7.2 release)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
	

Additional info:
Comment 1 kevin_myer 2001-11-05 10:59:42 EST
Red Hat Folks,

This is a duplicate of 54021, which you claimed was fixed and which you
apparently closed without testing or waiting for user feedback.  I commented on
10/11/2001 that this still did not work and should be reopened but apparently,
fixing this bug so that PERC RAID users can upgrade to a kernel that doesn't
have the recent kernel vulnerabilities is not a priority with Red Hat.  

I know that getting an updated kernel out is a priority and that holding up the
release for a show stopping bug that affects only Dell PowerEdge servers with
PERC RAID controllers isn't a good thing but you have known about this bug for
over a month, you closed the bug without verifying that it was fixed, and I'm
stuck with a vulnerable kernel, which all leave me a little frustrated with your
QA process.
Comment 2 Arjan van de Ven 2001-11-05 11:09:35 EST
All our aacraid machines work with the new kernel. That makes me think something
else is wrong here; are you booting the SMP kernel ?
Comment 3 Need Real Name 2001-11-13 14:33:49 EST
I've experienced the same problem when attempting to run the 2.4.9-7enterprise 
kernel and had to revert to the stock 7.2 kernel.
Comment 4 kevin_myer 2001-11-14 15:22:08 EST
See
http://lists.us.dell.com/pipermail/linux-aacraid-devel/2001-November/000234.html
for a far better description and solution than I could ever come up with.

I am booting the SMP kernel - there are no uniprocessor kernels on this machine.
Comment 5 Paul Spears 2001-12-06 11:16:59 EST
RedHat,
I installed 2.4.7-10smp and run fine on a dell 2500.. Upgraded to kernel 2.4.9-
13smp and it wouldn't boot in that kernel.  Produced error (AAC:  
NMI_DMA_0_ERROR) on bootup.
Comment 6 Need Real Name 2002-01-18 12:05:51 EST
I wonder if this has anything to do with the Interrupt Requests problem.
cat /proc/interupts
and see what the aacraid driver is doing (if you get your box up).
Comment 7 Arjan van de Ven 2002-02-11 12:17:55 EST
Alan Cox rewrote the aacraid driver for 2.4.9-21, does it work with that ?

Note You need to log in before you can comment on or make changes to this bug.